# class GGZCorePlayer | Player representation. More...
Definition | `#include <GGZCorePlayer.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum PlayerTypes { none, normal, guest, admin }

#### Public Methods

- GGZCorePlayer ()
- ~GGZCorePlayer ()
- char* name ()
- GGZTable* table ()
- int type ()
- int lag ()

## Detailed Description

Player representation.

GGZCorePlayer () | ### GGZCorePlayer

Constructor

~GGZCorePlayer () | ### ~GGZCorePlayer

Destructor

enum PlayerTypes { none, normal, guest, admin } | ### PlayerTypes

Available player types

char* name () | ### name

Return the name of this player.

GGZTable* table () | ### table

Return the player's current table.

int type () | ### type

Return the player's type

int lag () | ### lag

Lag measurement

Generated by: josef on athlon500 on Tue Mar 19 23:18:22 2002, using kdoc 2.0a53.